Attribute VB_Name = "Functions"
Public Function Populate_error_collection()
    Dim gline As String
    Dim colItem As String
    Dim colKey As String
    Set ErrorCollection = New Collection
    TempStr = App.Path & "\Uvoaif.txt"
    Open TempStr For Input As #1
    Do While Not EOF(1)
        Input #1, gline
        If InStr(1, gline, "UVE_", vbTextCompare) <> 0 Then
            TempLng = InStr(1, gline, "'", vbTextCompare)
            colItem = Mid(gline, TempLng + 1)
            TempLng = InStr(1, gline, "=", vbTextCompare)
            colKey = CStr(Val(Mid(gline, TempLng + 1, 7)))
            If colKey <> 0 Then ErrorCollection.Add colItem, colKey
        End If
    Loop

        
End Function
Public Function UniVerse_Error(ErrorNumber As Long, FileName As String, Item As String)
    Dim Description As String
    Dim ErrorType As String
    
    On Error GoTo ErrorHandler
    
    Select Case ErrorNumber
        Case Is >= 80000
            ErrorType = "UNIRPC Error"
        Case Is >= 40000
            ErrorType = "OLE Automation Error"
        Case Is >= 39100
            ErrorType = "Client/Server Interface Error"
        Case Is >= 39000
            ErrorType = "interCALL Server Error"
        Case Is >= 31200
            ErrorType = "Error in client library, ICI"
        Case 31100
            ErrorType = "CLEARFILE Error"
        Case Is >= 31000
            ErrorType = "File OPEN Error"
        Case Is >= 30000
            ErrorType = "Generic and Visible File System Error"
        Case Is >= 14560
            ErrorType = "Error in virtual socket libraries"
        Case Is >= 14000
            ErrorType = "Error in C library on PC"
        Case Is >= 11000
            ErrorType = "Error in library routine call"
        Case Is >= 10000
            ErrorType = "INFORMATION Error"
    End Select
    Description = ErrorCollection.Item(CStr(ErrorNumber))

    
    If FileName <> "" And Item <> "" Then
        MsgBox Description & " -->File: " & FileName & " -->Record: " & Item, vbCritical, ErrorType
    ElseIf FileName <> "" Then
       MsgBox Description & " -->File: " & FileName, vbCritical, ErrorType
    Else
        MsgBox Description, vbCritical, ErrorType
    End If
    Exit Function
ErrorHandler:
    Select Case Err.Number
        Case 5
            Description = "Unidentified Error"
            Resume Next
    End Select
End Function
